function TargetClass(self, event, ...)
	if ( not UnitExists("target") or not UnitExists("player") ) then return; end
	if ( UnitIsPlayer("target") ) then
		ChangeClassColor();
	else
		SetDefaultColor();
		TargetClassText:SetText(UnitCreatureType("target") or "");

	end
end

function ChangeClassColor()
	SelTarget = UnitClass("target");

	if ( SelTarget == "DeathKnight") then
		TargetClassText:SetTextColor(0.77, 0.12, 0.23);
	elseif ( SelTarget == "DemonHunter") then
		TargetClassText:SetTextColor(0.64, 0.19, 0.79);
	elseif ( SelTarget == "Druid") then
		TargetClassText:SetTextColor(1, 0.49, 0.04);
	elseif ( SelTarget == "Hunter") then
		TargetClassText:SetTextColor(0.67, 0.83, 0.45);
	elseif ( SelTarget == "Mage") then
		TargetClassText:SetTextColor(0.41, 0.8, 0.94);
	elseif ( SelTarget == "Monk") then
		TargetClassText:SetTextColor(0.33, 0.54, 0.52);
	elseif ( SelTarget == "Paladin") then
		TargetClassText:SetTextColor(0.96, 0.55, 0.73);
	elseif ( SelTarget == "Priest") then
		TargetClassText:SetTextColor(1, 1, 1);
	elseif ( SelTarget == "Rogue") then
		TargetClassText:SetTextColor(1, 0.96, 0.41);
	elseif ( SelTarget == "Shaman") then
		TargetClassText:SetTextColor(0, 0.44, 0.87);
	elseif ( SelTarget == "Warlock") then
		TargetClassText:SetTextColor(0.58, 0.51, 0.79);
	elseif ( SelTarget == "Warrior") then
		TargetClassText:SetTextColor(0.78, 0.61, 0.43);
	else
		SetDefaultColor();
	end
	
	TargetClassText:SetText(SelTarget or "");
end

function SetDefaultColor()
	TargetClassText:SetTextColor(0.99999780301005, 0.81960606575012, 0, 0.99999779462814);
end